#
# Specfile for building MythTV RPMs from a subversion checkout.
#
# by:   Chris Petersen <rpm@forevermore.net>
#       Jarod Wilson <jarod@wilsonet.com>
#
#  Modified/Extended from the great (non-svn based) work of:
#     Axel Thimm <Axel.Thimm@ATrpms.net>
#     and others; see changelog at bottom for details.
#
# The latest version of this file can be found at:
#
#     http://www.mythtv.org/wiki/index.php/Mythtv-themes-svn-rpmbuild.spec
#

# The vendor name we should attribute the aforementioned entries to
%define desktop_vendor  PCLinuxOS

# SVN Revision number and branch ID
%define branch stable
%define _gitrev r1

#
# Basic descriptive tags for this package:
#
Name:       mythtv-themes
Summary:    Additional themes for mythtv's frontend
URL:        http://www.mythtv.org/
Group:      Video
License:    GPLv2

# Version/Release info
Version: 0.24.2
%if "%{branch}" == "master"
Release: 0.1.git.%{_gitrev}%{?dist}
%else
Release: %mkrel 1
%endif

################################################################################

Source:		http://www.mythtv.org/myththemes-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

################################################################################

BuildRequires:  %{_lib}myth-devel = %{version}
BuildRequires:  %{_lib}qt4-devel

# Themes do require a frontend
Requires:       mythtv-frontend

# And obselete a bunch of packages from when themes were packaged individually
Obsoletes:	mythtv-theme-blootube
Obsoletes:	mythtv-theme-blootubelite-wide
Obsoletes:	mythtv-theme-blootube-osd
Obsoletes:	mythtv-theme-blootube-wide
Obsoletes:	mythtv-theme-MePo-wide
Obsoletes:	mythtv-theme-neon-wide
Obsoletes:	mythtv-theme-ProjectGrayhem
Obsoletes:	mythtv-theme-ProjectGrayhem-OSD
Obsoletes:	mythtv-theme-ProjectGrayhem-wide
Obsoletes:	mythtv-themes-myththemes

################################################################################

%description
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv-docs package for more information.

This package contains additional themes for the mythtv user interface.

################################################################################

%prep
%setup -q -n myththemes-%{version}

# Fix PCLinuxOS location of the program id
sed -i 's|/usr/bin/id|/bin/id|' cpsvndir



################################################################################

%build
./configure --prefix=/usr --qmake=/usr/lib/qt4/bin/qmake

make %{?_smp_mflags}

################################################################################

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}

################################################################################

%clean
rm -rf %{buildroot}

################################################################################

%files
%defattr(-,root,root,-)
%{_datadir}/mythtv/themes/*

%changelog
* Sat Feb 18 2012 Neal <nealbrks0 at gmail dot com> 0.24.2-1pclos2012
- process

* Sat Feb 18 2012 MBantz <martin dot bantz at gmail dot com> 0.24.2-1pclos2012
- Update to 0.24.2

* Wed Jun 23 2010 MBantz <martin dot bantz at gmail dot com> 
- Update to latest revision
- Change to xz archive type for sources

* Sun Mar 29 2010 Martin Bantz <martin dot bantz at gmail dot com> 0.23
- Upgrade to 0.23

* Sat Nov 28 2009 Martin Bantz <martin dot bantz at gmail dot com> 0.22
- Adapted for PCLinuxOS from Chris Petersen - rpm at forevermore dot net
